package cn.com.poc.human_resources.service;

import cn.com.poc.human_resources.query.PositionListQueryCondition;
import cn.com.poc.human_resources.query.PositionListQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.human_resources.entity.BizHumanResourcePositionEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Collection;
import java.util.List;

public interface BizHumanResourcePositionService extends BaseService {

    BizHumanResourcePositionEntity get(java.lang.Long id) throws Exception;

    List<BizHumanResourcePositionEntity> findByExample(BizHumanResourcePositionEntity example, PagingInfo pagingInfo) throws Exception;

    BizHumanResourcePositionEntity save(BizHumanResourcePositionEntity entity) throws Exception;

    BizHumanResourcePositionEntity update(BizHumanResourcePositionEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;

    List<PositionListQueryItem> positionListQuery(PositionListQueryCondition condition, PagingInfo pagingInfo);

}